### Hierarchy

- ScrollPosition

## Index

### Properties

- columnIndex
- columnKey
- offsetX
- offsetY
- rowIndex
- rowKey
- x
- y

## Properties

### columnIndex

columnIndex: number

The zero-based index of the cell at the origin of the table.

### columnKey

columnKey: any

The key of the column. This corresponds to the identifier of the column specified in columns. If the column does not exists then the value is ignored.

### offsetX

offsetX: number

The horizontal offset in pixels relative to the column identified by columnKey/columnIndex.

### offsetY

offsetY: number

The vertical offset in pixels relative to the row identified by rowKey/rowIndex.

### rowIndex

rowIndex: number

The zero-based index of the cell at the origin of the table. If scrollPolicy is set to 'loadMoreOnScroll and the row index is greater than maxCount set in scrollPolicyOptions, then it will scroll and fetch until the end of the table is reached and there are no more rows to fetch.

### rowKey

rowKey: any

The key of the row. If DataProvider is used for data and the key does not exists in the DataProvider, then the value is ignored. If DataProvider is not used then Table will fetch and scroll until the item is found or the end of the table is reached and there's no more items to fetch.

### x

x: number

The horizontal position in pixels.

### y

y: number

The vertical position in pixels.

Generated using TypeDoc